Issue 81715 - RFE: 16:9 (16:10) widescreen page format
Summary: RFE: 16:9 (16:10) widescreen page format
Status: RESOLVED FIXED
Alias: None
Product: Impress
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.3
Hardware: All All
: P3 Trivial with 14 votes (vote)
Target Milestone: 4.2.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-18 19:20 UTC by nmailhot
Modified: 2019-05-02 12:33 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.6
Developer Difficulty: Medium


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description nmailhot 2007-09-18 19:20:45 UTC
While 4:3 screens are not going away short term 16:10 widescreens and projectors
are becoming increasingly common. Hardware makers want to cater to htpc users
and gamers too nowadays, and these customers require widescreen.

Impress users should be given the possibility to optimize for their hardware and
not forced to perpetuate old formats. There is never enough room on a page and
black vertical bars just waste space when you've got 16:10 hardware.
- the current screen format should be renamed 4:3 legacy screen
- a new 16:10 widescreen format should be added everywhere screen is proposed today
Comment 1 christian.guenther 2007-09-19 11:28:00 UTC
This is an enhancement.
Comment 2 artfraud 2010-04-16 11:59:49 UTC
*** Issue 81715 has been confirmed by votes. ***
Comment 3 nomnex 2011-06-01 08:09:47 UTC
16:10 lcd form factor is dead. Unfortunately..., the current from factor is 16:9.
Please, update the bug request accordingly. Unfortunately..., 16:9 is not going to change any time soon.
Comment 4 Matthias Seidel 2018-07-21 10:39:36 UTC
16:10 is not dead, but nowadays 16:9 is standard.

We should definitely add both.
Comment 5 Matthias Seidel 2018-12-21 20:30:20 UTC
Committed r1849494

i81715 - RFE: 16:9 (16:10) widescreen page format

This adds 16:9 and 16:10 as screen format for Impress (and Draw).

The new strings are visible for en-US immediately and will be for other languages after the next run of our Pootle synchronisation.
Comment 6 Matthias Seidel 2018-12-21 20:32:06 UTC
I will leave this ticket open until we have discussed if we should make 16:9 default.
Comment 7 Matthias Seidel 2018-12-22 00:09:16 UTC
I will leave this ticket open until we have discussed if we should make 16:9 default.
Comment 8 Matthias Seidel 2019-01-24 14:47:58 UTC
Updated presentation templates with r1852008
Comment 9 Matthias Seidel 2019-01-24 14:49:05 UTC
Updated presentation layouts with r1852029
Comment 10 Matthias Seidel 2019-01-24 15:32:20 UTC
Merged to branch AOO42X with r1852026 and r1852035
Comment 11 Matthias Seidel 2019-05-02 12:33:18 UTC
Screen format 16:9 and 16:10 are now in trunk (and branch 42x).
All templates should now work with format change.
String changes are open for translation in Pootle.

So I am closing this issue as fixed.